Oracle iPlanet Web Proxy Server 4.0.x < 4.0.26 NSS Signature Handling Remote Code Injection

High Nessus Plugin ID 84962


The remote proxy web server is affected by a remote code injection vulnerability.


According to its self-reported version, the Oracle iPlanet Web Proxy Server (formerly known as Sun Java System Web Proxy Server) installed on the remote host is version 4.0.x prior to 4.0.26. It is, therefore, affected by a flaw in the definite_length_decoder() function in the Network Security Services (NSS) library due to a failure to ensure that the DER encoding of an ASN.1 length is properly formed when handling PKCS#1 signatures. A remote attacker, by using a long byte sequence for an encoding, can exploit this to conduct a data-smuggling attack or inject arbitrary code.


Upgrade to Oracle iPlanet Web Proxy Server 4.0.26 or later.

See Also

Plugin Details

Severity: High

ID: 84962

File Name: iplanet_web_proxy_4_0_26.nasl

Version: $Revision: 1.5 $

Type: local

Agent: windows

Family: Windows

Published: 2015/07/23

Modified: 2015/10/24

Dependencies: 72034

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:iplanet_web_proxy_server, cpe:/a:mozilla:network_security_services

Required KB Items: installed_sw/Oracle iPlanet Web Proxy Server

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/07/14

Vulnerability Publication Date: 2014/10/06

Reference Information

CVE: CVE-2014-1569

BID: 71675

OSVDB: 115397